[arch-commits] Commit in ceph/repos (13 files)
Felix Yan
felixonmars at archlinux.org
Sat Oct 26 16:59:21 UTC 2019
Date: Saturday, October 26, 2019 @ 16:59:21
Author: felixonmars
Revision: 520429
archrelease: copy trunk to community-staging-x86_64
Added:
ceph/repos/community-staging-x86_64/
ceph/repos/community-staging-x86_64/PKGBUILD
(from rev 520428, ceph/trunk/PKGBUILD)
ceph/repos/community-staging-x86_64/boost-1.67.patch
(from rev 520428, ceph/trunk/boost-1.67.patch)
ceph/repos/community-staging-x86_64/ceph.sysusers
(from rev 520428, ceph/trunk/ceph.sysusers)
ceph/repos/community-staging-x86_64/disable-empty-readable.sh-test.patch
(from rev 520428, ceph/trunk/disable-empty-readable.sh-test.patch)
ceph/repos/community-staging-x86_64/fix-ceph_disk-python-interpreter.patch
(from rev 520428, ceph/trunk/fix-ceph_disk-python-interpreter.patch)
ceph/repos/community-staging-x86_64/fix-or-disable-broken-tests.patch
(from rev 520428, ceph/trunk/fix-or-disable-broken-tests.patch)
ceph/repos/community-staging-x86_64/fix-python2-paths.patch
(from rev 520428, ceph/trunk/fix-python2-paths.patch)
ceph/repos/community-staging-x86_64/fix-tox-test-commands.patch
(from rev 520428, ceph/trunk/fix-tox-test-commands.patch)
ceph/repos/community-staging-x86_64/remove-distro-version-detection.patch
(from rev 520428, ceph/trunk/remove-distro-version-detection.patch)
ceph/repos/community-staging-x86_64/suppress-pylint-warnings.patch
(from rev 520428, ceph/trunk/suppress-pylint-warnings.patch)
ceph/repos/community-staging-x86_64/use-system-zstd-and-fix-zstd-1.4.0-compatbility.patch
(from rev 520428, ceph/trunk/use-system-zstd-and-fix-zstd-1.4.0-compatbility.patch)
ceph/repos/community-staging-x86_64/use-threadsafe-death-tests-objectstore-memstore.patch
(from rev 520428, ceph/trunk/use-threadsafe-death-tests-objectstore-memstore.patch)
-------------------------------------------------------+
PKGBUILD | 301 ++++++++++++++++
boost-1.67.patch | 11
ceph.sysusers | 1
disable-empty-readable.sh-test.patch | 6
fix-ceph_disk-python-interpreter.patch | 8
fix-or-disable-broken-tests.patch | 260 +++++++++++++
fix-python2-paths.patch | 52 ++
fix-tox-test-commands.patch | 160 ++++++++
remove-distro-version-detection.patch | 10
suppress-pylint-warnings.patch | 21 +
use-system-zstd-and-fix-zstd-1.4.0-compatbility.patch | 35 +
use-threadsafe-death-tests-objectstore-memstore.patch | 10
12 files changed, 875 insertions(+)
Copied: ceph/repos/community-staging-x86_64/PKGBUILD (from rev 520428, ceph/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2019-10-26 16:59:21 UTC (rev 520429)
@@ -0,0 +1,301 @@
+# Maintainer: Thore Bödecker <foxxx0 at archlinux.org>
+# Contributor: Sébastien "Seblu" Luttringer <seblu at archlinux.org>
+
+pkgbase='ceph'
+pkgname=('ceph' 'ceph-libs' 'ceph-mgr')
+_zstdver=1.4.3
+pkgver=14.2.1
+pkgrel=3
+pkgdesc='Distributed, fault-tolerant storage platform delivering object, block, and file system'
+arch=('x86_64')
+url='https://ceph.com/'
+license=('GPL')
+makedepends=("zstd=${_zstdver}" 'bc' 'boost' 'boost-libs' 'cmake' 'coffeescript'
+ 'cpio' 'crypto++' 'cryptsetup' 'cunit' 'curl' 'cython' 'expat'
+ 'fcgi' 'fontconfig' 'fuse2' 'gcc' 'gcc-libs' 'git' 'glibc' 'gmock'
+ 'gperf' 'gperftools' 'gptfdisk' 'gtest' 'inetutils' 'java-runtime'
+ 'jq' 'jre11-openjdk-headless' 'junit' 'keyutils' 'leveldb' 'libaio'
+ 'libatomic_ops' 'libcap' 'libcap-ng' 'libcroco' 'libcurl-compat'
+ 'libedit' 'libgudev' 'librabbitmq-c' 'libtool' 'libutil-linux'
+ 'libuv' 'libxml2' 'lsb-release' 'lz4' 'ncurses'
+ 'nss' 'oath-toolkit' 'openssl' 'parted' 'pcre' 'pcre2' 'pkgconf'
+ 'procps-ng' 'python-astroid' 'python-attrs' 'python-bcrypt'
+ 'python-cheroot' 'python-cherrypy' 'python-coverage'
+ 'python-elasticsearch' 'python-flask' 'python-flask-restful'
+ 'python-google-api-python-client' 'python-google-auth'
+ 'python-google-auth-httplib2' 'python-grpcio' 'python-isort'
+ 'python-jinja' 'python-lazy-object-proxy' 'python-mccabe'
+ 'python-more-itertools' 'python-numpy' 'python-pbr' 'python-pecan'
+ 'python-pip' 'python-pluggy' 'python-portend' 'python-prettytable'
+ 'python-prometheus_client' 'python-py' 'python-pycparser'
+ 'python-pyjwt' 'python-pyopenssl' 'python-pytz' 'python-requests'
+ 'python-routes' 'python-scikit-learn' 'python-scipy'
+ 'python-setuptools' 'python-six' 'python-sphinx' 'python-tempora'
+ 'python-virtualenv' 'python-werkzeug' 'python-wrapt' 'rabbitmq'
+ 'sed' 'snappy' 'socat' 'systemd' 'systemd-libs' 'valgrind'
+ 'xfsprogs' 'xmlstarlet' 'xxhash' 'yasm' 'zlib')
+checkdepends=('python-mock' 'python-nose' 'python-pycodestyle' 'python-pylint'
+ 'python-pytest' 'python-pytest-cov')
+options=('emptydirs')
+source=("https://download.ceph.com/tarballs/${pkgbase}-${pkgver}.tar.gz"
+ 'ceph.sysusers'
+ 'remove-distro-version-detection.patch'
+ 'fix-tox-test-commands.patch'
+ 'disable-empty-readable.sh-test.patch'
+ 'use-threadsafe-death-tests-objectstore-memstore.patch'
+ 'use-system-zstd-and-fix-zstd-1.4.0-compatbility.patch'
+ 'suppress-pylint-warnings.patch'
+ "zstd-${_zstdver}.tar.gz::https://github.com/facebook/zstd/archive/v${_zstdver}.tar.gz")
+sha512sums=('fccde341344c721fbfc7f7cb73db4f65933d7fcacc9495398b55b37d1e208f0bad0cd78a4da08a3b5e26cca3175e7707f7dfb76fae5aa094f58afaed8603c866'
+ '4354001c1abd9a0c385ba7bd529e3638fb6660b6a88d4e49706d4ac21c81b8e829303a20fb5445730bdac18c4865efb10bc809c1cd56d743c12aa9a52e160049'
+ '02c9e8fd3c23fb4c9c4c576ee6d06e8525ca31decfd964fb7231e73c98fe2987a483dda680969752186f0918f47d9af4fb09a4901e5319077f45d870906716da'
+ 'e0a890c358674902db2db3c484a4d19260e2463f1b5bb641605aae0a068027327c7153e267ef344dda190affc495f3661f29b576997691431bb4bae52573aa69'
+ '2234d005df71b3b6013e6b76ad07a5791e3af7efec5f41c78eb1a9c92a22a67f0be9560be59b52534e90bfe251bcf32c33d5d40163f3f8f7e7420691f0f4a222'
+ 'a74aea7c0b0d1883c874f889c184bd2c766fa578d6ca0cbe5eaada840281bb947b3d80f142b30473058cd2652d2967d241ade6914d6be50e93e91728a31733c8'
+ '4345fc2f422c7c1910bfd4068ad39511fa63d8c1e4fc04af416bb0f3869e43327d4a4bfc980d5abf273693a532ac153ed1e4c03e033a127692c1254b99092b8a'
+ '27ec7cc9479426446857f458261f7fd3b303b32234edea1b86c4115214a320ec3e895bdc9231700b44c55d49d5b68d74e36fe1154907eb7e5d91bb9abc0437ac'
+ 'ccda90c7437635f92d0db39dfba3604e256f1f08284c35c042763a54b0ead45dca8e7fa3e5cf8032292d1dd9eefc1369e23f78a80d9335d69170563090677d5f')
+
+
+# -fno-plt causes linker errors (undefined reference to internal methods)
+# similar issue: https://bugs.archlinux.org/task/54845
+# https://github.com/intel/media-driver/commit/d95d8f7ab7ac94a2e0f4ee6a4b4794898dc2d3b7
+# as of today (2019-07-12) the upstream maintainers do not consider this a bug in their code
+# (IMHO rightfully so) and thus we strip the option here
+CFLAGS="${CFLAGS/-fno-plt/}"
+CXXFLAGS="${CXXFLAGS/-fno-plt/}"
+
+
+prepare() {
+ cd "${srcdir}/${pkgbase}-${pkgver}"
+
+ # apply patches from the source array
+ local filename
+ for filename in "${source[@]}"; do
+ if [[ "${filename}" =~ \.patch$ ]]; then
+ msg2 "Applying patch ${filename##*/}"
+ patch -p1 -N -i "${srcdir}/${filename##*/}"
+ fi
+ done
+
+ # suppress deprecation warnings
+ sed -i '/#ifndef CEPH_CONFIG_H/i#define BOOST_ALLOW_DEPRECATED_HEADERS' \
+ src/common/config.h
+ sed -i '/#ifndef CEPH_TYPES_H/i#define BOOST_ALLOW_DEPRECATED_HEADERS' \
+ src/include/types.h
+
+ # remove bundled zstd and replace with newer release
+ rm -rf src/zstd
+ ln -sf "${srcdir}/zstd-${_zstdver}" src/zstd
+
+ # remove tests that require root privileges
+ rm src/test/cli/ceph-authtool/cap*.t
+
+ # this test will try to perform btrfs operations when a btrfs mount
+ # is active on the build host, which will fail
+ # if mount | grep 'type btrfs' &>/dev/null; then
+ # sed -i '/run-tox-ceph-disk/d' src/test/CMakeLists.txt
+ # fi
+}
+
+build() {
+ cd "${srcdir}/${pkgbase}-${pkgver}"
+
+ mkdir -p build
+ cd build
+
+ export PYTHON_INCLUDE_DIR="$(python -c "from sysconfig import get_path; print(get_path('include'))")"
+
+ cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_SYSCONFDIR=/etc \
+ -DCMAKE_INSTALL_SBINDIR=/usr/bin \
+ -DCMAKE_INSTALL_LIBDIR=/usr/lib \
+ -DCEPH_SYSTEMD_ENV_DIR=/etc/default \
+ -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib \
+ -DCMAKE_INSTALL_SYSTEMD_SERVICEDIR=/usr/lib/systemd/system \
+ -DCMAKE_VERBOSE_MAKEFILE=ON \
+ -DCMAKE_BUILD_TYPE=RelWithDebInf \
+ -DENABLE_GIT_VERSION=ON \
+ -DWITH_PYTHON2=OFF \
+ -DWITH_PYTHON3=ON \
+ -DMGR_PYTHON_VERSION=3 \
+ -DPYTHON_INCLUDE_DIR="${PYTHON_INCLUDE_DIR:?}" \
+ -DWITH_BABELTRACE=OFF \
+ -DWITH_LTTNG=OFF \
+ -DWITH_OPENLDAP=OFF \
+ -DWITH_RDMA=OFF \
+ -DWITH_TBB=OFF \
+ -DWITH_OCF=OFF \
+ -DWITH_DPDK=OFF \
+ -DWITH_SPDK=OFF \
+ -DWITH_CEPHFS=ON \
+ -DWITH_CEPHFS_JAVA=ON \
+ -DWITH_CEPHFS_SHELL=ON \
+ -DWITH_FUSE=ON \
+ -DWITH_LZ4=ON \
+ -DWITH_XFS=ON \
+ -DWITH_NSS=ON \
+ -DWITH_NUMA=ON \
+ -DWITH_MGR=ON \
+ -DWITH_MGR_DASHBOARD_FRONTEND=ON \
+ -DWITH_RADOSGW=ON \
+ -DWITH_RADOSGW_FCGI_FRONTEND=OFF \
+ -DWITH_RADOSGW_BEAST_FRONTEND=ON \
+ -DWITH_RADOSGW_BEAST_OPENSSL=ON \
+ -DWITH_RADOSGW_AMQP_ENDPOINT=OFF \
+ -DWITH_SSL=ON \
+ -DWITH_SYSTEMD=ON \
+ -DWITH_SYSTEM_BOOST=OFF \
+ -DWITH_BOOST_CONTEXT=ON \
+ -DWITH_SYSTEM_GTEST=OFF \
+ -DWITH_SYSTEM_NPM=OFF \
+ -DENABLE_SHARED=ON \
+ -DWITH_TESTS=ON \
+ ..
+
+ VERBOSE=1 make all
+}
+
+check() {
+ cd "${srcdir}/${pkgbase}-${pkgver}/build"
+
+ export CTEST_PARALLEL_LEVEL="$(nproc)"
+ VERBOSE=1 make check
+
+ # sometimes processes are not properly terminated...
+ for process in ceph-mon ceph-mgr ceph-osd; do
+ pkill -9 "${process}" || true
+ done
+}
+
+package_ceph-libs() {
+ depends=('boost-libs' 'curl' 'glibc' 'keyutils' 'libutil-linux' 'lz4' 'nss'
+ 'oath-toolkit' 'python' 'snappy' 'systemd-libs')
+
+ cd "${srcdir}/${pkgbase}-${pkgver}/build"
+
+ # main install
+ VERBOSE=1 make DESTDIR="${pkgdir}" install
+
+ # remove stuff that goes into the ceph package
+ rm -rf "${pkgdir}"/usr/lib/{ceph/mgr,systemd,sysusers.d,tmpfiles.d}
+ rm -rf "${pkgdir}/usr/share"
+ rm -rf "${pkgdir}/usr/sbin"
+ rm -rf "${pkgdir}/usr/bin"
+ rm -rf "${pkgdir}/etc"
+ rm -rf "${pkgdir}/var"
+}
+
+package_ceph() {
+ depends=("ceph-libs=${pkgver}-${pkgrel}"
+ 'boost-libs' 'curl' 'fuse2' 'glibc' 'gperftools' 'java-runtime'
+ 'keyutils' 'leveldb' 'libaio' 'libutil-linux' 'lsb-release' 'ncurses'
+ 'nss' 'oath-toolkit' 'python' 'python-bcrypt' 'python-setuptools'
+ 'snappy' 'systemd-libs' 'xfsprogs')
+
+ cd "${srcdir}/${pkgbase}-${pkgver}/build"
+
+ # main install
+ VERBOSE=1 make DESTDIR="${pkgdir}" install
+
+ # fix sbin dir (cmake opt seems to have no effect)
+ mv "${pkgdir}"/usr/sbin/* "${pkgdir}/usr/bin/"
+ rm -rf "${pkgdir}/usr/sbin"
+
+ # remove stuff that is in the ceph-libs package
+ find "${pkgdir}/usr/lib" -maxdepth 1 -type f -delete
+ find "${pkgdir}/usr/lib" -maxdepth 1 -type l -delete
+ find "${pkgdir}/usr/lib/ceph" -maxdepth 1 -type f -delete
+ find "${pkgdir}/usr/lib/ceph" -maxdepth 1 -type l -delete
+ rm -rf "${pkgdir}"/usr/lib/{ceph/{compressor,crypto,erasure-code},rados-classes}
+ rm -rf "${pkgdir}"/usr/lib/python*
+ rm -rf "${pkgdir}/usr/include"
+
+ # remove stuff that is in the ceph-mgr package
+ rm -rf "${pkgdir}"/usr/{bin/ceph-mgr,share/ceph/mgr,lib/systemd/system/ceph-mgr*}
+
+ # remove _test_ binaries from the package, not needed
+ find "${pkgdir}/usr/bin" -maxdepth 1 -type f -iname 'ceph_test_*' -delete
+
+ # install tmpfiles.d and sysusers.d stuff
+ install -Dm644 "${srcdir}/${pkgbase}-${pkgver}/systemd/ceph.tmpfiles.d" \
+ "${pkgdir}/usr/lib/tmpfiles.d/${pkgbase}.conf"
+ install -Dm644 "${srcdir}/ceph.sysusers" \
+ "${pkgdir}/usr/lib/sysusers.d/${pkgbase}.conf"
+
+ # remove debian init script
+ rm -rf "${pkgdir}/etc/init.d"
+
+ # remove drop.ceph.com ssh stuff
+ rm -f "${pkgdir}"/usr/share/ceph/id_rsa_drop.ceph.com
+ rm -f "${pkgdir}"/usr/share/ceph/id_rsa_drop.ceph.com.pub
+ rm -f "${pkgdir}"/usr/share/ceph/known_hosts_drop.ceph.com
+
+ # fix bash completions path
+ install -d -m 755 "${pkgdir}/usr/share/bash-completion"
+ mv "${pkgdir}"/{etc/bash_completion.d,usr/share/bash-completion/completions}
+
+ # fix EnvironmentFile location in systemd service files
+ sed -i 's|/etc/sysconfig/|/etc/conf.d/|g' "${pkgdir}"/usr/lib/systemd/system/*.service
+
+ # prepare some paths and set correct permissions
+ install -D -d -m750 -o 0 -g 340 "${pkgdir}/etc/ceph"
+ install -D -d -m750 -o 340 -g 340 "${pkgdir}/var/log/ceph"
+ install -D -d -m750 -o 340 -g 340 "${pkgdir}/var/lib/ceph"
+ install -D -d -m750 -o 340 -g 340 "${pkgdir}/var/lib/ceph/bootstrap-mds"
+ install -D -d -m750 -o 340 -g 340 "${pkgdir}/var/lib/ceph/bootstrap-osd"
+ install -D -d -m750 -o 340 -g 340 "${pkgdir}/var/lib/ceph/bootstrap-rgw"
+ install -D -d -m750 -o 340 -g 340 "${pkgdir}/var/lib/ceph/mon"
+ install -D -d -m750 -o 340 -g 340 "${pkgdir}/var/lib/ceph/osd"
+}
+
+package_ceph-mgr() {
+ depends=("ceph=${pkgver}-${pkgrel}" "ceph-libs=${pkgver}-${pkgrel}"
+ 'bash' 'boost-libs' 'coffeescript' 'curl' 'gperftools' 'nodejs' 'nss'
+ 'python' 'python-cherrypy' 'python-flask-restful' 'python-pecan'
+ 'python-pyjwt' 'python-routes' 'python-requests' 'python-pyopenssl')
+ optdepends=('python-influxdb: influx module'
+ 'python-kubernetes: rook module'
+ 'python-prometheus_client: prometheus module'
+ 'python-remoto: ssh module')
+ conflicts=('ceph<14.2.1-1')
+
+ cd "${srcdir}/${pkgbase}-${pkgver}/build"
+
+ # main install
+ VERBOSE=1 make DESTDIR="${pkgdir}" install
+
+ # fix sbin dir (cmake opt seems to have no effect)
+ mv "${pkgdir}"/usr/sbin/* "${pkgdir}/usr/bin/"
+ rm -rf "${pkgdir}/usr/sbin"
+
+ # remove everything except mgr related stuff, rest is in ceph/ceph-libs
+ rm -rf "${pkgdir}"/usr/lib/{ceph/{compressor,crypto,erasure-code},rados-classes}
+ rm -rf "${pkgdir}/usr/include"
+ find "${pkgdir}/usr/bin" -maxdepth 1 -type f -not -name 'ceph-mgr' -delete
+ find "${pkgdir}"/usr/lib/systemd/system -maxdepth 1 -type f -not -iname 'ceph-mgr*' -delete
+ find "${pkgdir}"/usr/lib -maxdepth 1 -type f -delete
+ find "${pkgdir}"/usr/lib -maxdepth 1 -type l -delete
+ rm -rf "${pkgdir}"/etc
+ rm -rf "${pkgdir}"/var
+ rm -rf "${pkgdir}"/usr/lib/{ceph,sysusers.d,tmpfiles.d}
+ rm -rf "${pkgdir}"/usr/lib/python*
+ rm -rf "${pkgdir}"/usr/share/{bash-completion,doc,java,man}
+
+ # remove debian init script
+ rm -rf "${pkgdir}/etc/init.d"
+
+ # remove drop.ceph.com ssh stuff
+ rm -f "${pkgdir}"/usr/share/ceph/id_rsa_drop.ceph.com
+ rm -f "${pkgdir}"/usr/share/ceph/id_rsa_drop.ceph.com.pub
+ rm -f "${pkgdir}"/usr/share/ceph/known_hosts_drop.ceph.com
+
+ # fix EnvironmentFile location in systemd service files
+ sed -i 's|/etc/sysconfig/|/etc/conf.d/|g' "${pkgdir}"/usr/lib/systemd/system/*.service
+
+ # prepare some paths and set correct permissions
+ install -D -d -m750 -o 340 -g 340 "${pkgdir}/var/lib/ceph/mgr"
+}
+
+# vim:set ts=2 sw=2 et:
Copied: ceph/repos/community-staging-x86_64/boost-1.67.patch (from rev 520428, ceph/trunk/boost-1.67.patch)
===================================================================
--- community-staging-x86_64/boost-1.67.patch (rev 0)
+++ community-staging-x86_64/boost-1.67.patch 2019-10-26 16:59:21 UTC (rev 520429)
@@ -0,0 +1,11 @@
+--- a/src/test/librbd/test_mock_Journal.cc 2018-06-03 01:56:35.407273176 +0300
++++ b/src/test/librbd/test_mock_Journal.cc 2018-06-03 01:56:29.800506081 +0300
+@@ -1,6 +1,8 @@
+ // -*- mode:C++; tab-width:8; c-basic-offset:2; indent-tabs-mode:t -*-
+ // vim: ts=8 sw=2 smarttab
+
++#define BOOST_BIND_NO_PLACEHOLDERS
++
+ #include "test/librbd/test_mock_fixture.h"
+ #include "test/journal/mock/MockJournaler.h"
+ #include "test/librbd/test_support.h"
Copied: ceph/repos/community-staging-x86_64/ceph.sysusers (from rev 520428, ceph/trunk/ceph.sysusers)
===================================================================
--- community-staging-x86_64/ceph.sysusers (rev 0)
+++ community-staging-x86_64/ceph.sysusers 2019-10-26 16:59:21 UTC (rev 520429)
@@ -0,0 +1 @@
+u ceph 340 - /run/ceph
Copied: ceph/repos/community-staging-x86_64/disable-empty-readable.sh-test.patch (from rev 520428, ceph/trunk/disable-empty-readable.sh-test.patch)
===================================================================
--- community-staging-x86_64/disable-empty-readable.sh-test.patch (rev 0)
+++ community-staging-x86_64/disable-empty-readable.sh-test.patch 2019-10-26 16:59:21 UTC (rev 520429)
@@ -0,0 +1,6 @@
+--- a/src/test/encoding/CMakeLists.txt 2019-04-25 20:15:48.000000000 +0200
++++ b/src/test/encoding/CMakeLists.txt 2019-07-14 21:11:37.380428899 +0200
+@@ -1,3 +1,2 @@
+ # scripts
+ add_ceph_test(check-generated.sh ${CMAKE_CURRENT_SOURCE_DIR}/check-generated.sh)
+-add_ceph_test(readable.sh ${CMAKE_CURRENT_SOURCE_DIR}/readable.sh)
Copied: ceph/repos/community-staging-x86_64/fix-ceph_disk-python-interpreter.patch (from rev 520428, ceph/trunk/fix-ceph_disk-python-interpreter.patch)
===================================================================
--- community-staging-x86_64/fix-ceph_disk-python-interpreter.patch (rev 0)
+++ community-staging-x86_64/fix-ceph_disk-python-interpreter.patch 2019-10-26 16:59:21 UTC (rev 520429)
@@ -0,0 +1,8 @@
+--- a/src/ceph-disk/ceph_disk/main.py 2017-08-28 18:30:20.000000000 +0200
++++ b/src/ceph-disk/ceph_disk/main.py 2017-09-21 13:50:39.373573382 +0200
+@@ -1,4 +1,4 @@
+-#!/usr/bin/env python
++#!/usr/bin/env python2
+ #
+ # Copyright (C) 2015, 2016, 2017 Red Hat <contact at redhat.com>
+ # Copyright (C) 2014 Inktank <info at inktank.com>
Copied: ceph/repos/community-staging-x86_64/fix-or-disable-broken-tests.patch (from rev 520428, ceph/trunk/fix-or-disable-broken-tests.patch)
===================================================================
--- community-staging-x86_64/fix-or-disable-broken-tests.patch (rev 0)
+++ community-staging-x86_64/fix-or-disable-broken-tests.patch 2019-10-26 16:59:21 UTC (rev 520429)
@@ -0,0 +1,260 @@
+--- a/src/test/CMakeLists.txt 2018-05-29 14:04:02.000000000 +0200
++++ b/src/test/CMakeLists.txt 2018-06-04 13:35:28.440465053 +0200
+@@ -572,7 +572,6 @@ add_ceph_test(test_objectstore_memstore.
+ #add_ceph_test(test_pidfile.sh ${CMAKE_CURRENT_SOURCE_DIR}/test_pidfile.sh)
+
+ add_ceph_test(test_subman.sh ${CMAKE_CURRENT_SOURCE_DIR}/test_subman.sh)
+-add_ceph_test(smoke.sh ${CMAKE_CURRENT_SOURCE_DIR}/smoke.sh)
+ add_ceph_test(unittest_bufferlist.sh ${CMAKE_SOURCE_DIR}/src/unittest_bufferlist.sh)
+
+ add_test(NAME run-tox-ceph-disk COMMAND bash ${CMAKE_SOURCE_DIR}/src/ceph-disk/run-tox.sh)
+--- a/src/test/common/CMakeLists.txt 2018-05-29 14:04:02.000000000 +0200
++++ b/src/test/common/CMakeLists.txt 2018-06-04 13:36:33.340014839 +0200
+@@ -41,13 +41,6 @@ add_executable(unittest_prioritized_queu
+ )
+ add_ceph_unittest(unittest_prioritized_queue)
+
+-# unittest_mclock_priority_queue
+-add_executable(unittest_mclock_priority_queue
+- test_mclock_priority_queue.cc
+- )
+-add_ceph_unittest(unittest_mclock_priority_queue)
+-target_link_libraries(unittest_mclock_priority_queue ceph-common dmclock)
+-
+ # unittest_str_map
+ add_executable(unittest_str_map
+ test_str_map.cc
+--- a/src/test/encoding/CMakeLists.txt 2018-05-29 14:04:02.000000000 +0200
++++ b/src/test/encoding/CMakeLists.txt 2018-06-04 13:37:22.693006351 +0200
+@@ -1,4 +1,3 @@
+ # scripts
+-add_ceph_test(check-generated.sh ${CMAKE_CURRENT_SOURCE_DIR}/check-generated.sh)
+ add_ceph_test(readable.sh ${CMAKE_CURRENT_SOURCE_DIR}/readable.sh)
+
+--- a/src/test/run-cli-tests 2018-05-29 14:04:02.000000000 +0200
++++ b/src/test/run-cli-tests 2018-06-04 13:38:12.529328276 +0200
+@@ -1,7 +1,7 @@
+ #!/bin/sh
+ set -e
+
+-if ! command -v virtualenv >/dev/null; then
++if ! command -v virtualenv2 >/dev/null; then
+ echo "$0: virtualenv not installed, skipping python-using tests." 1>&2
+ exit 1
+ fi
+@@ -30,7 +30,7 @@ if [ ! -e "$CRAM_BIN" ]; then
+ # patched cram to support that. See upstream ticket at
+ # https://bitbucket.org/brodie/cram/issue/9/allow-read-only-directories-for-t
+ # -- tv at inktank.com
+- virtualenv "$VENV" && $VENV/bin/pip --log "$VENV"/log.txt install "$SRCDIR/downloads/cram-0.5.0ceph.2011-01-14.tar.gz"
++ virtualenv2 "$VENV" && $VENV/bin/pip --log "$VENV"/log.txt install "$SRCDIR/downloads/cram-0.5.0ceph.2011-01-14.tar.gz"
+ fi
+
+ SRCDIR_ABS="$(readlink -f "$SRCDIR")"
+--- a/src/test/pybind/test_ceph_argparse.py 2017-09-26 18:27:07.000000000 +0200
++++ b/src/test/pybind/test_ceph_argparse.py 2017-10-08 16:50:49.060831801 +0200
+@@ -1,4 +1,4 @@
+-#!/usr/bin/env nosetests
++#!/usr/bin/env nosetests2
+ # -*- mode:python; tab-width:4; indent-tabs-mode:t; coding:utf-8 -*-
+ # vim: ts=4 sw=4 smarttab expandtab fileencoding=utf-8
+ #
+--- a/src/test/pybind/test_ceph_daemon.py 2017-09-26 18:27:07.000000000 +0200
++++ b/src/test/pybind/test_ceph_daemon.py 2017-10-08 16:50:58.341131927 +0200
+@@ -1,4 +1,4 @@
+-#!/usr/bin/env nosetests
++#!/usr/bin/env nosetests2
+ # -*- mode:python; tab-width:4; indent-tabs-mode:t -*-
+ # vim: ts=4 sw=4 smarttab expandtab
+ #
+--- a/qa/standalone/ceph-helpers.sh 2018-05-29 14:04:02.000000000 +0200
++++ b/qa/standalone/ceph-helpers.sh 2018-06-04 13:39:31.305450795 +0200
+@@ -147,7 +147,7 @@ function teardown() {
+ kill_daemons $dir KILL
+ if [ `uname` != FreeBSD ] \
+ && [ $(stat -f -c '%T' .) == "btrfs" ]; then
+- __teardown_btrfs $dir
++ true
+ fi
+ local cores="no"
+ local pattern="$(sysctl -n $KERNCORE)"
+@@ -183,12 +183,7 @@ function teardown() {
+ }
+
+ function __teardown_btrfs() {
+- local btrfs_base_dir=$1
+- local btrfs_root=$(df -P . | tail -1 | awk '{print $NF}')
+- local btrfs_dirs=$(cd $btrfs_base_dir; sudo btrfs subvolume list -t . | awk '/^[0-9]/ {print $4}' | grep "$btrfs_base_dir/$btrfs_dir")
+- for subvolume in $btrfs_dirs; do
+- sudo btrfs subvolume delete $btrfs_root/$subvolume
+- done
++ true
+ }
+
+ function test_teardown() {
+--- a/src/ceph-disk/run-tox.sh 2018-05-29 14:04:02.000000000 +0200
++++ b/src/ceph-disk/run-tox.sh 2018-06-04 13:40:15.601811858 +0200
+@@ -30,4 +30,4 @@ if [ -z $CEPH_BUILD_DIR ]; then
+ fi
+
+ source ${CEPH_DISK_VIRTUALENV}/bin/activate
+-tox -c ${TOX_PATH}
++tox2 -c ${TOX_PATH}
+--- a/qa/workunits/rbd/run_devstack_tempest.sh 2017-09-26 18:27:07.000000000 +0200
++++ b/qa/workunits/rbd/run_devstack_tempest.sh 2017-10-10 18:53:33.564468674 +0200
+@@ -127,4 +127,4 @@
+ chmod -R o+rx ${STACK_OPT_PATH}/devstack/files
+
+ cd ${STACK_OPT_PATH}/tempest
+-sudo -H -u ${TEMPEST_USER} tox -eall-plugin -- '(?!.*\[.*\bslow\b.*\])(^tempest\.(api|scenario)|(^cinder\.tests.tempest))' --concurrency=3
++sudo -H -u ${TEMPEST_USER} tox2 -eall-plugin -- '(?!.*\[.*\bslow\b.*\])(^tempest\.(api|scenario)|(^cinder\.tests.tempest))' --concurrency=3
+--- a/src/test/filestore/TestFileStore.cc 2017-09-26 18:27:07.000000000 +0200
++++ b/src/test/filestore/TestFileStore.cc 2017-10-10 20:31:36.325983555 +0200
+@@ -36,13 +36,6 @@
+ ASSERT_EQ(pm["filestore_backend"], "generic");
+ }
+ #if defined(__linux__)
+- {
+- map<string,string> pm;
+- FileStore fs(g_ceph_context, "a", "b");
+- TestFileStore::create_backend(fs, BTRFS_SUPER_MAGIC);
+- fs.collect_metadata(&pm);
+- ASSERT_EQ(pm["filestore_backend"], "btrfs");
+- }
+ # ifdef HAVE_LIBXFS
+ {
+ map<string,string> pm;
+--- a/src/test/cli/osdmaptool/ceph.conf.withracks 2017-09-26 18:27:07.000000000 +0200
++++ b/src/test/cli/osdmaptool/ceph.conf.withracks 2017-10-10 21:30:49.230389707 +0200
+@@ -42,8 +42,8 @@
+ keyring = /mnt/osd.$id/keyring
+ osd data = /mnt/osd.$id
+ osd journal = /dev/disk/by-label/osd.$id.journal
+- osd mkfs type = btrfs
+- osd mount options btrfs = rw,noatime
++ osd mkfs type = xfs
++ osd mount options xfs = rw,noatime
+ devs = /dev/disk/by-label/osd.$id.data
+ ; temp sage
+ debug osd = 20
+--- a/src/spdk/test/iscsi_tgt/filesystem/filesystem.sh 2017-04-13 06:05:24.000000000 +0200
++++ b/src/spdk/test/iscsi_tgt/filesystem/filesystem.sh 2017-10-10 21:33:09.084930640 +0200
+@@ -55,7 +55,7 @@
+ parted -s /dev/$dev mkpart primary '0%' '100%'
+ sleep 1
+
+-for fstype in "ext4" "btrfs" "xfs"; do
++for fstype in "ext4" "xfs"; do
+
+ if [ "$fstype" == "ext4" ]; then
+ mkfs.${fstype} -F /dev/${dev}1
+--- a/src/spdk/test/nvmf/filesystem/filesystem.sh 2017-04-13 06:05:24.000000000 +0200
++++ b/src/spdk/test/nvmf/filesystem/filesystem.sh 2017-10-10 21:33:26.258820759 +0200
+@@ -49,7 +49,7 @@
+ timing_exit parted
+ sleep 1
+
+- for fstype in "ext4" "btrfs" "xfs"; do
++ for fstype in "ext4" "xfs"; do
+ timing_enter $fstype
+ if [ $fstype = ext4 ]; then
+ force=-F
+--- a/src/ceph.conf.twoosds 2017-09-26 18:27:07.000000000 +0200
++++ b/src/ceph.conf.twoosds 2017-10-10 21:34:13.160340506 +0200
+@@ -72,8 +72,8 @@
+ ; osd journal = /mnt/osd$id/journal
+ ; osd journal size = 1000
+ osd journal = "/dev/disk/by-path/pci-0000:05:02.0-scsi-6:0:0:0"
+- osd mkfs type = btrfs
+- osd mount options btrfs = "flushoncommit,usertrans"
++ osd mkfs type = xfs
++ osd mount options xfs = "flushoncommit,usertrans"
+ ; filestore max sync interval = 1
+
+ devs = "/dev/disk/by-path/pci-0000:05:01.0-scsi-2:0:0:0"
+--- a/src/ceph-disk/tests/ceph-disk.sh 2017-09-26 18:27:07.000000000 +0200
++++ b/src/ceph-disk/tests/ceph-disk.sh 2017-10-10 21:35:26.386044372 +0200
+@@ -74,8 +74,7 @@
+ kill_daemons $dir
+ if [ `uname` != FreeBSD ] && \
+ [ $(stat -f -c '%T' .) == "btrfs" ]; then
+- rm -fr $dir/*/*db
+- __teardown_btrfs $dir
++ true
+ fi
+ grep " $(pwd)/$dir/" < ${PROCDIR}/proc/mounts | while read mounted rest ; do
+ umount $mounted
+--- a/qa/run_xfstests.sh 2017-09-26 18:27:07.000000000 +0200
++++ b/qa/run_xfstests.sh 2017-10-10 22:18:49.663141392 +0200
+@@ -81,7 +81,7 @@
+ arg_count 1 $#
+
+ case "$1" in
+- xfs|ext4|btrfs) return 0 ;;
++ xfs|ext4) return 0 ;;
+ *) return 1 ;;
+ esac
+ }
+@@ -120,7 +120,7 @@
+ echo " -c or --count" >&2
+ echo " iteration count (1 or more)" >&2
+ echo " -f or --fs-type" >&2
+- echo " one of: xfs, ext4, btrfs" >&2
++ echo " one of: xfs, ext4" >&2
+ echo " (default fs-type: xfs)" >&2
+ echo " -r or --randomize" >&2
+ echo " randomize test order" >&2
+@@ -132,7 +132,7 @@
+ echo " name of file with list of tests to skip" >&2
+ echo " tests:" >&2
+ echo " list of test numbers, e.g.:" >&2
+- echo " generic/001 xfs/008 shared/032 btrfs/009" >&2
++ echo " generic/001 xfs/008 shared/032" >&2
+ echo " or possibly an xfstests test group, e.g.:" >&2
+ echo " -g quick" >&2
+ echo " (default tests: -g auto)" >&2
+@@ -235,7 +235,6 @@
+ case "${FSTYP}" in
+ xfs) options="-f" ;;
+ ext4) options="-F" ;;
+- btrfs) options="-f" ;;
+ esac
+
+ "mkfs.${FSTYP}" ${options} "${dev}" ||
+--- a/qa/run_xfstests-obsolete.sh 2017-09-26 18:27:07.000000000 +0200
++++ b/qa/run_xfstests-obsolete.sh 2017-10-10 22:19:27.027675395 +0200
+@@ -125,7 +125,7 @@
+ arg_count 1 $#
+
+ case "$1" in
+- xfs|ext4|btrfs) return 0 ;;
++ xfs|ext4) return 0 ;;
+ *) return 1 ;;
+ esac
+ }
+@@ -157,7 +157,7 @@
+ echo " -c or --count" >&2
+ echo " iteration count (1 or more)" >&2
+ echo " -f or --fs-type" >&2
+- echo " one of: xfs, ext4, btrfs" >&2
++ echo " one of: xfs, ext4" >&2
+ echo " (default fs-type: xfs)" >&2
+ echo " -s or --scratch-dev (REQUIRED)" >&2
+ echo " name of device used for scratch filesystem" >&2
+@@ -262,7 +262,7 @@
+ # Filesystem-specific mkfs options--set if not supplied
+ export XFS_MKFS_OPTIONS="${XFS_MKFS_OPTIONS:--f -l su=65536}"
+ export EXT4_MKFS_OPTIONS="${EXT4_MKFS_OPTIONS:--F}"
+-export BTRFS_MKFS_OPTION # No defaults
++unset BTRFS_MKFS_OPTION # No defaults
+
+ XFSTESTS_DIR="/var/lib/xfstests" # Where the tests live
+
+@@ -348,7 +348,6 @@
+ case "${FSTYP}" in
+ xfs) options="${XFS_MKFS_OPTIONS}" ;;
+ ext4) options="${EXT4_MKFS_OPTIONS}" ;;
+- btrfs) options="${BTRFS_MKFS_OPTIONS}" ;;
+ esac
+
+ "mkfs.${FSTYP}" ${options} "${dev}" ||
Copied: ceph/repos/community-staging-x86_64/fix-python2-paths.patch (from rev 520428, ceph/trunk/fix-python2-paths.patch)
===================================================================
--- community-staging-x86_64/fix-python2-paths.patch (rev 0)
+++ community-staging-x86_64/fix-python2-paths.patch 2019-10-26 16:59:21 UTC (rev 520429)
@@ -0,0 +1,52 @@
+--- a/CMakeLists.txt 2018-05-29 14:04:02.000000000 +0200
++++ b/CMakeLists.txt 2018-06-04 13:41:55.684455580 +0200
+@@ -49,7 +49,7 @@ endif(WITH_CCACHE)
+ option(WITH_MANPAGE "Build man pages." ON)
+ if(WITH_MANPAGE)
+ find_program(SPHINX_BUILD
+- sphinx-build)
++ sphinx-build2)
+ if(NOT SPHINX_BUILD)
+ message(FATAL_ERROR "Can't find sphinx-build.")
+ endif(NOT SPHINX_BUILD)
+--- a/src/tools/setup-virtualenv.sh 2018-05-29 14:04:02.000000000 +0200
++++ b/src/tools/setup-virtualenv.sh 2018-06-04 13:43:24.767175961 +0200
+@@ -58,10 +58,10 @@ if [ -z "$DIR" ] ; then
+ fi
+ rm -fr $DIR
+ mkdir -p $DIR
+-virtualenv --python $PYTHON_BINARY $DIR
++virtualenv2 --python $PYTHON_BINARY $DIR
+ . $DIR/bin/activate
+
+-if pip --help | grep -q disable-pip-version-check; then
++if pip2 --help | grep -q disable-pip-version-check; then
+ DISABLE_PIP_VERSION_CHECK=--disable-pip-version-check
+ else
+ DISABLE_PIP_VERSION_CHECK=
+@@ -69,12 +69,12 @@ fi
+
+ # older versions of pip will not install wrap_console scripts
+ # when using wheel packages
+-pip $DISABLE_PIP_VERSION_CHECK --log $DIR/log.txt install --upgrade 'pip >= 6.1'
++pip2 $DISABLE_PIP_VERSION_CHECK --log $DIR/log.txt install --upgrade 'pip >= 6.1'
+
+ # workaround of https://github.com/pypa/setuptools/issues/1042
+-pip $DISABLE_PIP_VERSION_CHECK --log $DIR/log.txt install --upgrade "setuptools < 36"
++pip2 $DISABLE_PIP_VERSION_CHECK --log $DIR/log.txt install --upgrade "setuptools < 36"
+
+-if pip --help | grep -q disable-pip-version-check; then
++if pip2 --help | grep -q disable-pip-version-check; then
+ DISABLE_PIP_VERSION_CHECK=--disable-pip-version-check
+ else
+ DISABLE_PIP_VERSION_CHECK=
+@@ -84,7 +84,7 @@ if test -d wheelhouse ; then
+ export NO_INDEX=--no-index
+ fi
+
+-pip $DISABLE_PIP_VERSION_CHECK --log $DIR/log.txt install $NO_INDEX --find-links=file://$(pwd)/wheelhouse 'tox >=2.9.1'
++pip2 $DISABLE_PIP_VERSION_CHECK --log $DIR/log.txt install $NO_INDEX --find-links=file://$(pwd)/wheelhouse 'tox >=2.9.1'
+ if test -f requirements.txt ; then
+- pip $DISABLE_PIP_VERSION_CHECK --log $DIR/log.txt install $NO_INDEX --find-links=file://$(pwd)/wheelhouse -r requirements.txt
++ pip2 $DISABLE_PIP_VERSION_CHECK --log $DIR/log.txt install $NO_INDEX --find-links=file://$(pwd)/wheelhouse -r requirements.txt
+ fi
Copied: ceph/repos/community-staging-x86_64/fix-tox-test-commands.patch (from rev 520428, ceph/trunk/fix-tox-test-commands.patch)
===================================================================
--- community-staging-x86_64/fix-tox-test-commands.patch (rev 0)
+++ community-staging-x86_64/fix-tox-test-commands.patch 2019-10-26 16:59:21 UTC (rev 520429)
@@ -0,0 +1,160 @@
+--- a/src/pybind/mgr/ansible/run-tox.sh 2019-04-25 20:15:48.000000000 +0200
++++ b/src/pybind/mgr/ansible/run-tox.sh 2019-07-14 16:36:54.220654727 +0200
+@@ -8,22 +8,22 @@
+ test -d ansible && cd ansible
+
+ if [ -e tox.ini ]; then
+- TOX_PATH=$(readlink -f tox.ini)
++ TOX_PATH="$(readlink -f tox.ini)"
+ else
+- TOX_PATH=$(readlink -f $(dirname $0)/tox.ini)
++ TOX_PATH="$(readlink -f "$(dirname "$0")"/tox.ini)"
+ fi
+
+ # tox.ini will take care of this.
+ unset PYTHONPATH
+ export CEPH_BUILD_DIR=$CEPH_BUILD_DIR
+
+-source ${MGR_ANSIBLE_VIRTUALENV}/bin/activate
++source "${MGR_ANSIBLE_VIRTUALENV}"/bin/activate
+
+ if [ "$WITH_PYTHON2" = "ON" ]; then
+ ENV_LIST+="py27"
+ fi
+-if [ "$WITH_PYTHON3" = "ON" ]; then
++if [[ "$WITH_PYTHON3" == "ON" || "$WITH_PYTHON3" == "3" ]]; then
+ ENV_LIST+="py3"
+ fi
+
+-tox -c ${TOX_PATH} -e ${ENV_LIST}
++tox -c "${TOX_PATH}" -e "${ENV_LIST}"
+--- a/src/pybind/mgr/dashboard/run-tox.sh 2019-04-25 20:15:48.000000000 +0200
++++ b/src/pybind/mgr/dashboard/run-tox.sh 2019-07-14 16:36:48.907269344 +0200
+@@ -8,30 +8,30 @@
+ test -d dashboard && cd dashboard
+
+ if [ -e tox.ini ]; then
+- TOX_PATH=`readlink -f tox.ini`
++ TOX_PATH="$(readlink -f tox.ini)"
+ else
+- TOX_PATH=`readlink -f $(dirname $0)/tox.ini`
++ TOX_PATH="$(readlink -f "$(dirname "$0")"/tox.ini)"
+ fi
+
+ # tox.ini will take care of this.
+ unset PYTHONPATH
+ export CEPH_BUILD_DIR=$CEPH_BUILD_DIR
+
+-source ${MGR_DASHBOARD_VIRTUALENV}/bin/activate
++source "${MGR_DASHBOARD_VIRTUALENV}"/bin/activate
+
+-if [ "$WITH_PYTHON2" = "ON" ]; then
+- if [[ -n "$@" ]]; then
++if [ "$WITH_PYTHON2" == "ON" ]; then
++ if [[ -n "$*" ]]; then
+ ENV_LIST+="py27-run,"
+ else
+ ENV_LIST+="py27-cov,py27-lint,"
+ fi
+ fi
+-if [ "$WITH_PYTHON3" = "ON" ]; then
+- if [[ -n "$@" ]]; then
++if [[ "$WITH_PYTHON3" == "ON" || "$WITH_PYTHON3" == "3" ]]; then
++ if [[ -n "$*" ]]; then
+ ENV_LIST+="py3-run"
+ else
+ ENV_LIST+="py3-cov,py3-lint"
+ fi
+ fi
+
+-tox -c ${TOX_PATH} -e "$ENV_LIST" "$@"
++tox -c "${TOX_PATH}" -e "$ENV_LIST" "$@"
+--- a/src/pybind/mgr/insights/run-tox.sh 2019-04-25 20:15:48.000000000 +0200
++++ b/src/pybind/mgr/insights/run-tox.sh 2019-07-14 16:36:41.347195419 +0200
+@@ -8,22 +8,22 @@
+ test -d insights && cd insights
+
+ if [ -e tox.ini ]; then
+- TOX_PATH=`readlink -f tox.ini`
++ TOX_PATH="$(readlink -f tox.ini)"
+ else
+- TOX_PATH=`readlink -f $(dirname $0)/tox.ini`
++ TOX_PATH="$(readlink -f "$(dirname "$0")"/tox.ini)"
+ fi
+
+ # tox.ini will take care of this.
+ unset PYTHONPATH
+ export CEPH_BUILD_DIR=$CEPH_BUILD_DIR
+
+-source ${MGR_INSIGHTS_VIRTUALENV}/bin/activate
++source "${MGR_INSIGHTS_VIRTUALENV}"/bin/activate
+
+ if [ "$WITH_PYTHON2" = "ON" ]; then
+ ENV_LIST+="py27"
+ fi
+-if [ "$WITH_PYTHON3" = "ON" ]; then
++if [[ "$WITH_PYTHON3" == "ON" || "$WITH_PYTHON3" == "3" ]]; then
+ ENV_LIST+="py3"
+ fi
+
+-tox -c ${TOX_PATH} -e ${ENV_LIST}
++tox -c "${TOX_PATH}" -e "${ENV_LIST}"
+--- a/src/pybind/mgr/orchestrator_cli/run-tox.sh 2019-04-25 20:15:48.000000000 +0200
++++ b/src/pybind/mgr/orchestrator_cli/run-tox.sh 2019-07-14 16:37:01.734061798 +0200
+@@ -8,25 +8,24 @@
+ test -d orchestrator_cli && cd orchestrator_cli
+
+ if [ -e tox.ini ]; then
+- TOX_PATH=$(readlink -f tox.ini)
++ TOX_PATH="$(readlink -f tox.ini)"
+ else
+- TOX_PATH=$(readlink -f $(dirname $0)/tox.ini)
++ TOX_PATH="$(readlink -f "$(dirname "$0")"/tox.ini)"
+ fi
+
+ # tox.ini will take care of this.
+ unset PYTHONPATH
+ export CEPH_BUILD_DIR=$CEPH_BUILD_DIR
+
+-if [ -f ${MGR_ORCHESTRATOR_CLI_VIRTUALENV}/bin/activate ]
+-then
+- source ${MGR_ORCHESTRATOR_CLI_VIRTUALENV}/bin/activate
++if [[ -r "${MGR_ORCHESTRATOR_CLI_VIRTUALENV}"/bin/activate ]]; then
++ source "${MGR_ORCHESTRATOR_CLI_VIRTUALENV}"/bin/activate
+ fi
+
+ if [ "$WITH_PYTHON2" = "ON" ]; then
+ ENV_LIST+="py27"
+ fi
+-if [ "$WITH_PYTHON3" = "ON" ]; then
+- ENV_LIST+=",py3"
++if [[ "$WITH_PYTHON3" == "ON" || "$WITH_PYTHON3" == "3" ]]; then
++ ENV_LIST+="py3"
+ fi
+
+-tox -c ${TOX_PATH} -e ${ENV_LIST}
++tox -c "${TOX_PATH}" -e "${ENV_LIST}"
+--- a/src/pybind/mgr/dashboard/tox.ini 2019-04-25 20:15:48.000000000 +0200
++++ b/src/pybind/mgr/dashboard/tox.ini 2019-07-15 12:36:39.693948289 +0200
+@@ -1,5 +1,5 @@
+ [tox]
+-envlist = py27-{cov,lint,run},py3-{cov,lint,run}
++envlist = py3-{cov,lint,run}
+ skipsdist = true
+ toxworkdir = {env:CEPH_BUILD_DIR}/dashboard
+ minversion = 2.8.1
+@@ -11,13 +11,12 @@ setenv=
+ WEBTEST_INTERACTIVE = false
+ LD_LIBRARY_PATH = {toxinidir}/../../../../build/lib
+ PATH = {toxinidir}/../../../../build/bin:$PATH
+- py27: PYTHONPATH = {toxinidir}/../../../../build/lib/cython_modules/lib.2
+ py3: PYTHONPATH = {toxinidir}/../../../../build/lib/cython_modules/lib.3
+ cov: UNITTEST = true
+ cov: COVERAGE_FILE = .coverage.{envname}
+ commands=
+ pip install -r {toxinidir}/requirements.txt
+- py27: pip install -r {toxinidir}/requirements-py27.txt
++; py27: pip install -r {toxinidir}/requirements-py27.txt
+ py3: pip install -r {toxinidir}/requirements-py3.txt
+ cov: coverage erase
+ cov: {envbindir}/py.test --cov=. --cov-report= --junitxml=junit.{envname}.xml --doctest-modules controllers/rbd.py services/ tests/ tools.py
Copied: ceph/repos/community-staging-x86_64/remove-distro-version-detection.patch (from rev 520428, ceph/trunk/remove-distro-version-detection.patch)
===================================================================
--- community-staging-x86_64/remove-distro-version-detection.patch (rev 0)
+++ community-staging-x86_64/remove-distro-version-detection.patch 2019-10-26 16:59:21 UTC (rev 520429)
@@ -0,0 +1,10 @@
+--- a/src/common/util.cc 2018-05-29 14:04:02.000000000 +0200
++++ b/src/common/util.cc 2018-06-04 13:45:52.279495745 +0200
+@@ -96,7 +96,6 @@ static bool os_release_parse(map<string,
+ static const map<string, string> kvm = {
+ { "distro", "ID=" },
+ { "distro_description", "PRETTY_NAME=" },
+- { "distro_version", "VERSION_ID=" }
+ };
+
+ FILE *fp = fopen("/etc/os-release", "r");
Copied: ceph/repos/community-staging-x86_64/suppress-pylint-warnings.patch (from rev 520428, ceph/trunk/suppress-pylint-warnings.patch)
===================================================================
--- community-staging-x86_64/suppress-pylint-warnings.patch (rev 0)
+++ community-staging-x86_64/suppress-pylint-warnings.patch 2019-10-26 16:59:21 UTC (rev 520429)
@@ -0,0 +1,21 @@
+--- a/src/pybind/mgr/dashboard/.pylintrc 2019-04-25 20:15:48.000000000 +0200
++++ b/src/pybind/mgr/dashboard/.pylintrc 2019-07-14 18:22:09.881166099 +0200
+@@ -119,7 +119,8 @@ disable=import-star-module-level,
+ too-many-arguments,
+ too-many-locals,
+ too-many-statements,
+- useless-object-inheritance
++ useless-object-inheritance,
++ no-else-raise
+
+
+ # Enable the message, report, category or checker with the given id(s). You can
+--- a/src/pybind/mgr/dashboard/tests/__init__.py 2019-04-25 20:15:48.000000000 +0200
++++ b/src/pybind/mgr/dashboard/tests/__init__.py 2019-07-15 11:28:10.443476232 +0200
+@@ -1,5 +1,5 @@
+ # -*- coding: utf-8 -*-
+-# pylint: disable=too-many-arguments
++# pylint: disable=too-many-arguments,no-else-return
+ from __future__ import absolute_import
+
+ import json
Copied: ceph/repos/community-staging-x86_64/use-system-zstd-and-fix-zstd-1.4.0-compatbility.patch (from rev 520428, ceph/trunk/use-system-zstd-and-fix-zstd-1.4.0-compatbility.patch)
===================================================================
--- community-staging-x86_64/use-system-zstd-and-fix-zstd-1.4.0-compatbility.patch (rev 0)
+++ community-staging-x86_64/use-system-zstd-and-fix-zstd-1.4.0-compatbility.patch 2019-10-26 16:59:21 UTC (rev 520429)
@@ -0,0 +1,35 @@
+--- a/src/compressor/zstd/ZstdCompressor.h 2019-04-25 20:15:48.000000000 +0200
++++ b/src/compressor/zstd/ZstdCompressor.h 2019-07-17 19:11:33.177014923 +0200
+@@ -16,7 +16,7 @@
+ #define CEPH_ZSTDCOMPRESSOR_H
+
+ #define ZSTD_STATIC_LINKING_ONLY
+-#include "zstd/lib/zstd.h"
++#include <zstd.h>
+
+ #include "include/buffer.h"
+ #include "include/encoding.h"
+@@ -30,7 +30,13 @@ class ZstdCompressor : public Compressor
+
+ int compress(const bufferlist &src, bufferlist &dst) override {
+ ZSTD_CStream *s = ZSTD_createCStream();
+- ZSTD_initCStream_srcSize(s, COMPRESSION_LEVEL, src.length());
++
++ // ZSTD_initCStream_srcSize(s, COMPRESSION_LEVEL, src.length());
++ ZSTD_CCtx_reset(s, ZSTD_reset_session_only);
++ ZSTD_CCtx_refCDict(s, NULL); // clear the dictionary (if any)
++ ZSTD_CCtx_setParameter(s, ZSTD_c_compressionLevel, COMPRESSION_LEVEL);
++ ZSTD_CCtx_setPledgedSrcSize(s, src.length());
++
+ auto p = src.begin();
+ size_t left = src.length();
+
+@@ -48,7 +54,7 @@ class ZstdCompressor : public Compressor
+ inbuf.size = p.get_ptr_and_advance(left, (const char**)&inbuf.src);
+ left -= inbuf.size;
+ ZSTD_EndDirective const zed = (left==0) ? ZSTD_e_end : ZSTD_e_continue;
+- size_t r = ZSTD_compress_generic(s, &outbuf, &inbuf, zed);
++ size_t r = ZSTD_compressStream2(s, &outbuf, &inbuf, zed);
+ if (ZSTD_isError(r)) {
+ return -EINVAL;
+ }
Copied: ceph/repos/community-staging-x86_64/use-threadsafe-death-tests-objectstore-memstore.patch (from rev 520428, ceph/trunk/use-threadsafe-death-tests-objectstore-memstore.patch)
===================================================================
--- community-staging-x86_64/use-threadsafe-death-tests-objectstore-memstore.patch (rev 0)
+++ community-staging-x86_64/use-threadsafe-death-tests-objectstore-memstore.patch 2019-10-26 16:59:21 UTC (rev 520429)
@@ -0,0 +1,10 @@
+--- a/src/test/test_objectstore_memstore.sh 2019-04-25 20:15:48.000000000 +0200
++++ b/src/test/test_objectstore_memstore.sh 2019-07-14 21:18:32.845040824 +0200
+@@ -1,6 +1,6 @@
+ #!/bin/sh -ex
+
+ rm -rf memstore.test_temp_dir
+-ceph_test_objectstore --gtest_filter=\*/0
++ceph_test_objectstore --gtest_filter=\*/0 --gtest_death_test_style=threadsafe
+
+ echo OK
More information about the arch-commits
mailing list